Save transaction rules
curl --request POST \
--url https://sandbox.tight.com/v6/banks/transactions/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "trl_5445116",
"status": "ACTIVE",
"filter": {
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "tgla_324231"
}
},
"glAccount": {
"id": {
"equal": "tgla_324231"
}
},
"bankAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"glAccountId": "gla_58932890",
"vendorId": "vnd_28868401",
"customerId": "cus_4852707",
"reviewStatus": "RECONCILED",
"dimensionValueIds": [
"dv_12345678"
]
},
"applyToExistingTransactions": false,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/banks/transactions/rules"
payload = { "data": [
{
"id": "trl_5445116",
"status": "ACTIVE",
"filter": {
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": { "id": { "equal": "tgla_324231" } },
"glAccount": { "id": { "equal": "tgla_324231" } },
"bankAccount": { "id": { "equal": "tgla_324231" } }
},
"update": {
"glAccountId": "gla_58932890",
"vendorId": "vnd_28868401",
"customerId": "cus_4852707",
"reviewStatus": "RECONCILED",
"dimensionValueIds": ["dv_12345678"]
},
"applyToExistingTransactions": False,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'trl_5445116',
status: 'ACTIVE',
filter: {
description: {equal: 'Office Supplies', contain: 'Supplies'},
amount: {
equal: 123,
greaterThan: 123,
greaterThanEqual: 123,
lessThan: 123,
lessThanEqual: 123
},
vendor: {id: {equal: 'tgla_324231'}},
glAccount: {id: {equal: 'tgla_324231'}},
bankAccount: {id: {equal: 'tgla_324231'}}
},
update: {
glAccountId: 'gla_58932890',
vendorId: 'vnd_28868401',
customerId: 'cus_4852707',
reviewStatus: 'RECONCILED',
dimensionValueIds: ['dv_12345678']
},
applyToExistingTransactions: false,
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/banks/transactions/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "trl_5445116",
"status": "ACTIVE",
"filter": {
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "tgla_324231"
}
},
"glAccount": {
"id": {
"equal": "tgla_324231"
}
},
"bankAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"reviewStatus": "RECONCILED",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
]
},
"matchCount": 4,
"lastAppliedDateTime": "2023-11-07T05:31:56Z",
"filterDisplayName": "Vendor is \"Starbucks\"",
"updateDisplayName": "Set glAccount as \"Taxi\"",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "trl_5445116",
"status": "ACTIVE",
"filter": {
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "tgla_324231"
}
},
"glAccount": {
"id": {
"equal": "tgla_324231"
}
},
"bankAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"reviewStatus": "RECONCILED",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
]
},
"matchCount": 4,
"lastAppliedDateTime": "2023-11-07T05:31:56Z",
"filterDisplayName": "Vendor is \"Starbucks\"",
"updateDisplayName": "Set glAccount as \"Taxi\"",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "trl_5445116",
"status": "ACTIVE",
"filter": {
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "tgla_324231"
}
},
"glAccount": {
"id": {
"equal": "tgla_324231"
}
},
"bankAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"reviewStatus": "RECONCILED",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
]
},
"matchCount": 4,
"lastAppliedDateTime": "2023-11-07T05:31:56Z",
"filterDisplayName": "Vendor is \"Starbucks\"",
"updateDisplayName": "Set glAccount as \"Taxi\"",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Transaction Rules
Save transaction rules
Save new (or update existing) transaction rules
POST
/
v6
/
banks
/
transactions
/
rules
Save transaction rules
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I